Dismiss a suggested contact
curl --request POST \
--url https://api.cal.com/v2/contacts/suggestions/dismissals \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jamie.rivera@example.com"
}
'import requests
url = "https://api.cal.com/v2/contacts/suggestions/dismissals"
payload = { "email": "jamie.rivera@example.com" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jamie.rivera@example.com'})
};
fetch('https://api.cal.com/v2/contacts/suggestions/dismissals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/contacts/suggestions/dismissals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'jamie.rivera@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/contacts/suggestions/dismissals"
payload := strings.NewReader("{\n \"email\": \"jamie.rivera@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cal.com/v2/contacts/suggestions/dismissals")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"jamie.rivera@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/contacts/suggestions/dismissals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"jamie.rivera@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"email": "jamie.rivera@example.com"
}
}Contacts
Dismiss a suggested contact
Stops suggesting an email to the authenticated user, for good. Dismissing an email that was already dismissed, or that isn’t suggested, changes nothing. It does not add or remove a personal contact; to accept a suggestion instead, use POST /v2/contacts. If accessed using an OAuth access token, the CONTACT_WRITE scope is required.
POST
/
v2
/
contacts
/
suggestions
/
dismissals
Dismiss a suggested contact
curl --request POST \
--url https://api.cal.com/v2/contacts/suggestions/dismissals \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jamie.rivera@example.com"
}
'import requests
url = "https://api.cal.com/v2/contacts/suggestions/dismissals"
payload = { "email": "jamie.rivera@example.com" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jamie.rivera@example.com'})
};
fetch('https://api.cal.com/v2/contacts/suggestions/dismissals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/contacts/suggestions/dismissals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'jamie.rivera@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/contacts/suggestions/dismissals"
payload := strings.NewReader("{\n \"email\": \"jamie.rivera@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cal.com/v2/contacts/suggestions/dismissals")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"jamie.rivera@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/contacts/suggestions/dismissals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"jamie.rivera@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"email": "jamie.rivera@example.com"
}
}Headers
Body
application/json
Was this page helpful?